polybori::CLiteralCodes Class Reference

This template class defines enumerative codes for the string literals defined by the CStringLiterals class. More...

`#include <CLiteralCodes.h>`

## Public Types

enum | literal_codes { first_code = 0, empty = first_code, space, plus, term_separator, times, comma, list_separator, default_variable_name, variable_head, variable_tail, between_list_separator, last_code }
| Define codes representing string literals. More...

## Detailed Description

This template class defines enumerative codes for the string literals defined by the CStringLiterals class.

## Member Enumeration Documentation

enum polybori::CLiteralCodes::literal_codes

Define codes representing string literals.

Enumerator
first_code |
empty |
space |
plus |
term_separator |
times |
comma |
list_separator |
default_variable_name |
variable_head |
variable_tail |
between_list_separator |
last_code |

The documentation for this class was generated from the following file:

- CLiteralCodes.h